Ticket #273 (closed bug: invalid)

Opened 10 years ago

Last modified 9 years ago

Regular "JackAudioDriver::ProcessAsync: read error, skip cycle" with FA-66

Reported by: colanderman Assigned to:
Priority: major Milestone:
Component: generic Version: FFADO 2.0.0
Keywords: Cc:
The device the bug applies to:

Description

"jackd -d firewire" starts and runs fine, and I can play and record. However every 10+-1 seconds, I get a "JackAudioDriver::ProcessAsync?: read error, skip cycle" with an accompanying audio hiccup. This happens even as root.

Despite the awkward IRQ setup on my Mac Mini (FireWire? is shared with a USB and the hard drive... UGH), I'm fairly certain this is not an IRQ issue, as "watch -d -n .5 cat /proc/interrupts" shows no regular activity on the IRQ. (Of course there is hard drive activity but this happens less often than the 10-second intervals and is not regular.)

Furthermore manually inducing hard drive activity does not cause more errors or skips.

Setup: Edirol FA-66 jackd 1.9.5 (built from source) FFADO 2.0.0 (Debian package) libraw1394 2.0.5 (Debian package) Linux 2.6.32 (built from Debian's source, not RT-patched) new FireWire? stack enabled (and old one disabled) FireWire? card is Agere Systems FW322/323 (rev 61)

Attached is a -v5 log (-v6 causes jackd to die...?) as well as /proc/interrupts.

Attachments

ffado.log (162.8 kB) - added by colanderman on 04/15/10 17:41:58.
jackd log
interrupts (1.0 kB) - added by colanderman on 04/15/10 17:43:33.
/proc/interrupts

Change History

04/15/10 17:41:58 changed by colanderman

  • attachment ffado.log added.

jackd log

04/15/10 17:43:33 changed by colanderman

  • attachment interrupts added.

/proc/interrupts

04/27/10 20:40:01 changed by colanderman

Any ideas? This happens no matter what combination of settings I use to start jackd, and for both capture and playback.

05/09/10 04:35:45 changed by 4ernov

I seem to suffer very similar bug and that was FW controller chipset issue. I found that some Agere Systems FW322/323 cards are based on VIA 6306 chipset and that's the exact one which FFADO doesn't work well with (according to the ticket #223). I fixed it only by changing FW controller card. If your card is based on this VIA chipset, too, it could be the same problem.

04/01/12 07:34:53 changed by jwoithe

  • status changed from new to closed.
  • resolution set to invalid.

There has been no further followup to this issue in nearly 2 years. Comment 2 hints that it may be related to the firewire chipset in use, but no feedback about this has been received from the original reporter. For now I'll close this ticket as "invalid" since we have an indication that it might be due to bugs in the firewire controller in use by the reporter. If further information can be made available the bug can be reopened.

04/01/12 11:47:02 changed by stefanr

It is certainly justified to close this fr now due to insufficient information. However, the likelihood that this is a VIA based controller is close to zero. The reporter's designation looks like it was taken straight from lspci or a similar tool rather than from a possibly incorrect vendor spec sheet. And unlike VIA chips, experiences with Agere FW322/323 have generally been good from what I remember. (I have one myself which I only rarely use though.)